<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ChartAxis (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChartAxis (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":38,"i1":38,"i2":38,"i3":38,"i4":38,"i5":38,"i6":38,"i7":38,"i8":38,"i9":38,"i10":38,"i11":38,"i12":38,"i13":38,"i14":38,"i15":38,"i16":38,"i17":38,"i18":38,"i19":38,"i20":38,"i21":38,"i22":38,"i23":38,"i24":38,"i25":38};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChartAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ChartAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="ChartAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.charts</div>
    <h2 title="Interface ChartAxis" class="title">Interface ChartAxis</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ValueAxis.html"
                           title="interface in org.apache.poi.ss.usermodel.charts">ValueAxis</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFCategoryAxis.html"
                           title="class in org.apache.poi.xssf.usermodel.charts">XSSFCategoryAxis</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartAxis.html"
                            title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartAxis</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFDateAxis.html"
                            title="class in org.apache.poi.xssf.usermodel.charts">XSSFDateAxis</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFValueAxis.html"
                            title="class in org.apache.poi.xssf.usermodel.charts">XSSFValueAxis</a></dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">use XDDFChartAxis instead</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public interface <span class="typeNameLabel">ChartAxis</span></pre>
                <div class="block">High level representation of chart axis.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#crossAxis-org.apache.poi.ss.usermodel.charts.ChartAxis-">crossAxis</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>&nbsp;axis)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Declare this axis cross another axis.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrosses.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrosses</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getCrosses--">getCrosses</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getId--">getId</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getLogBase--">getLogBase</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMajorTickMark--">getMajorTickMark</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMaximum--">getMaximum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMinimum--">getMinimum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMinorTickMark--">getMinorTickMark</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getNumberFormat--">getNumberFormat</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisOrientation.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisOrientation</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getOrientation--">getOrientation</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getPosition--">getPosition</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#hasNumberFormat--">hasNumberFormat</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Use this to check before retrieving a number format, as calling
                                        <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getNumberFormat--"><code>getNumberFormat()</code></a>
                                        may create a default one if none exists.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetLogBase--">isSetLogBase</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetMaximum--">isSetMaximum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetMinimum--">isSetMinimum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isVisible--">isVisible</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setCrosses-org.apache.poi.ss.usermodel.charts.AxisCrosses-">setCrosses</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrosses.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrosses</a>&nbsp;crosses)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setLogBase-double-">setLogBase</a></span>(double&nbsp;logBase)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMajorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">setMajorTickMark</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;tickMark)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMaximum-double-">setMaximum</a></span>(double&nbsp;max)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMinimum-double-">setMinimum</a></span>(double&nbsp;min)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMinorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">setMinorTickMark</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;tickMark)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setNumberFormat-java.lang.String-">setNumberFormat</a></span>(java.lang.String&nbsp;format)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setOrientation-org.apache.poi.ss.usermodel.charts.AxisOrientation-">setOrientation</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisOrientation.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisOrientation</a>&nbsp;orientation)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setPosition-org.apache.poi.ss.usermodel.charts.AxisPosition-">setPosition</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;position)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setVisible-boolean-">setVisible</a></span>(boolean&nbsp;value)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getId</h4>
                                <pre>long&nbsp;getId()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis id</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPosition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPosition</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;getPosition()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPosition-org.apache.poi.ss.usermodel.charts.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPosition</h4>
                                <pre>void&nbsp;setPosition(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;position)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>position</code> - new axis position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberFormat</h4>
                                <pre>java.lang.String&nbsp;getNumberFormat()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis number format</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNumberFormat-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNumberFormat</h4>
                                <pre>void&nbsp;setNumberFormat(java.lang.String&nbsp;format)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>format</code> - axis number format</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetLogBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetLogBase</h4>
                                <pre>boolean&nbsp;isSetLogBase()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if log base is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLogBase-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLogBase</h4>
                                <pre>void&nbsp;setLogBase(double&nbsp;logBase)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>logBase</code> - a number between 2 and 1000 (inclusive)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if log base not within allowed
                                        range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLogBase--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLogBase</h4>
                                <pre>double&nbsp;getLogBase()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis log base or 0.0 if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMinimum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMinimum</h4>
                                <pre>boolean&nbsp;isSetMinimum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if minimum value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinimum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinimum</h4>
                                <pre>double&nbsp;getMinimum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis minimum or 0.0 if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinimum-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinimum</h4>
                                <pre>void&nbsp;setMinimum(double&nbsp;min)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>min</code> - axis minimum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSetMaximum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSetMaximum</h4>
                                <pre>boolean&nbsp;isSetMaximum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if maximum value is defined, false otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMaximum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMaximum</h4>
                                <pre>double&nbsp;getMaximum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis maximum or 0.0 if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMaximum-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMaximum</h4>
                                <pre>void&nbsp;setMaximum(double&nbsp;max)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>max</code> - axis maximum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrientation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOrientation</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisOrientation.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisOrientation</a>&nbsp;getOrientation()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis orientation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOrientation-org.apache.poi.ss.usermodel.charts.AxisOrientation-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOrientation</h4>
                                <pre>void&nbsp;setOrientation(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisOrientation.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisOrientation</a>&nbsp;orientation)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>orientation</code> - axis orientation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCrosses-org.apache.poi.ss.usermodel.charts.AxisCrosses-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCrosses</h4>
                                <pre>void&nbsp;setCrosses(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrosses.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrosses</a>&nbsp;crosses)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>crosses</code> - axis cross type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCrosses--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCrosses</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrosses.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrosses</a>&nbsp;getCrosses()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>axis cross type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="crossAxis-org.apache.poi.ss.usermodel.charts.ChartAxis-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>crossAxis</h4>
                                <pre>void&nbsp;crossAxis(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>&nbsp;axis)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Declare this axis cross another axis.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>axis</code> - that this axis should cross</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isVisible</h4>
                                <pre>boolean&nbsp;isVisible()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>visibility of the axis.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVisible</h4>
                                <pre>void&nbsp;setVisible(boolean&nbsp;value)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - visibility of the axis.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMajorTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMajorTickMark</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;getMajorTickMark()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>major tick mark.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMajorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMajorTickMark</h4>
                                <pre>void&nbsp;setMajorTickMark(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;tickMark)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tickMark</code> - major tick mark type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMinorTickMark--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMinorTickMark</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;getMinorTickMark()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>minor tick mark.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMinorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMinorTickMark</h4>
                                <pre>void&nbsp;setMinorTickMark(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisTickMark</a>&nbsp;tickMark)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>tickMark</code> - minor tick mark type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasNumberFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hasNumberFormat</h4>
                                <pre>boolean&nbsp;hasNumberFormat()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Use this to check before retrieving a number format, as calling <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getNumberFormat--"><code>getNumberFormat()</code></a>
                                    may create a default one if none exists.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if a number format element is defined, false if not</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChartAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisTickMark.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ChartAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="ChartAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
